After longs hours of improvements and testing latter, the first release is finally here.
There was also bunch of other development in this 12 day period. So lets go over it.

## MatterLinux 24.00
![](/assets/2400.png)

With the 24.00 release, MatterLinux now has an official ISO and a release archive. 
I also published the installation guide over on the wiki. This means you can install 
MatterLinux right now! Of course, as of now, the repos are really limited, so it's 
not ready for daily usage, not quite yet.

## Package Tracker
MatterLinux now has a [custom package tracker](https://tracker.matterlinux.xyz/)!
It's written in Go, like the web server. It doesn't have a lot of functionality,
but it provides an easy interface for finding and tracking packages.

## New tools!
The [tools](https://git.matterlinux.xyz/Matter/tools) repository is extended with 
the addition of the `matter-iso` script, which just a simple script that you can use 
to build custom ISO images. The configuration for the official ISO images can be 
find in the [iso](https://git.matterlinux.xyz/Matter/iso) repository. It actually took 
surprisingly long time to get the ISO to work, kernel was somehow unable to find 
the `init` program. I tried fixing that by supplying the `init=` parameter, which 
didn't work so I just went ahead with the lazy option and `init` over to `/`. 

## Little Improvements 
Apart from these, I also made quite a few improvements to the website, packages, infrastructure 
and to the package manager:

- I reworked the CSS for the website (especially for the markdown content). I think 
it's now easier to read and overall looks cleaner.
- I added the `mp-query` command to the package manager, which lets you get information 
about a specific package in a nicely formatted way. 
- Fixed compile flags for few packages, including `grub`, which was really unstable as 
it was being compiled with optimization flags. 
- XMPP room moved from jabbers.one to a self hosted server (located at matterlinux.xyz)
- Git server moved from [Gogs](https://gogs.io/) to [Gitea](https://about.gitea.com/) 

## What's Next?
I will be on a vacation for a couple of weeks and I also have other projects to work 
on so I will be taking a break from the project. When I come back I will be extending the 
`desktop` repo, and hopefully when I make the next post, there will be working 
display server in the repo. 

That will be all for now, see you in the next post! 
