24.01 have just been released. There are bunch of new stuff to go over this time, so let's get
started!

## A more stable experience
One of the goals of this distro was to offer a stable experience, however lately I have been using the official
repos as a testing ground. There were bunch of broken packages being shipped, so to prevent this, I have came up 
with a new repo structure.

All the "stable" packages will now be shipped in the release specific repo. For MatterLinux 24, this repo is
`https://24.matterlinux.xyz`. All the unstable development packages will be shipped in `https://next.matterlinux.xyz`.

Unstable development packages will be moved to the stable repo when they are ready.

For now the old URL (`pkgs.matterlinux.xyz`) points to the `24.matterlinux.xyz` to prevent breaking old systems.
If you are still using `pkgs.matterlinux.xyz` in the `mp` configuration (`/etc/mp/cfg`), then move over to `24.matterlinux.xyz`
as soon as possible.

## Better standards for development
I have updated the [contribution wiki page](/wiki/contribute), adding better standards that every developer should follow 
for a better development experience. I have also added a new wiki page for [reporting bugs](/wiki/bugs) and I have added 
issue templates to the git repositories.

## THE HOLY BAR
With the new 24.17 and 24.18 release of MatterLinux Pacakge Manager (`mp`), I have added a bar for operations such as 
downloading files, extracting files, deleting files etc. I have also added initial support for internalization and fixed
some little bugs.

## LOTS of new packages!
`desktop` repo has now more than 300 packages, these new packages include Emacs, Lightdm, XFCE4, Network Manager and more! 
And there are even more packages on the way, see the [`TODO.md`](https://git.matterlinux.xyz/Matter/desktop/src/branch/main/TODO.md) 
for the `desktop` repository to check whats on the way.

## New tool: `xcfg`
I wrote a little script that is similar to the `xwmconfig` from Slackware. `xcfg` lets you install different available desktop
environments and window managers. It also adds needed `.xinitrc` configuration for the desktop of your choice. You can install 
`xcfg` from the `desktop` repo.

## What's next?
There will be bunch of new packages, that's for sure, but a part from that, I think I may start working on a GUI or TUI 
based installer. Or I may configure an installer such as [Calamares](https://calamares.io/). Not really sure on that. 

Anyway, I think that will be all for now, see you in the next post! 
