As an user or a developer, reporting the bugs you find is really important 
for development of the project. On this page you will find information about how you can report 
bugs to the project.

## Package bugs/issues
If you are having issues with a package/software, identify the repo contains the package.
You can use the `mp-query` command for this.

After identifying the repo, visit the issue tracker for that specific repo:
- [issue tracker for the `base` repo](https://git.matterlinux.xyz/Matter/base/issues)
- [issue tracker for the `desktop` repo](https://git.matterlinux.xyz/Matter/desktop/issues)

Using the search feature of the issue tracker, make sure that the issue has not been already reported.
There is no point at reporting the issue, if it has been already reported. Duplicate issues will be closed.

If the issue has not been already reported, follow the "Registering to Gitea" section of the [contributing page](/wiki/contribute)
in order to create an account. Using this account you can create an issue, fill out all the required information,
and patiently wait for a response. You should provide additional details about the bug/issue when requested.

## Tool bugs/issues 
You may have issues using MatterLinux tools such as the MatterLinux Package Manager (`mp`). This issues should be reported 
to the related issue tracker over on [Gitea](https://git.matterlinux.xyz/Matter).

## Translation mistakes, spelling mistakes etc.
You do not need to create an issue for small issues such as little translation mistakes. Just contact maintainer/developers
on [XMPP](/wiki/chat). 
